Bug 529026 - KMS:RS480:X200M phantom second display shown by g-d-p
KMS:RS480:X200M phantom second display shown by g-d-p
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-14 13:08 EDT by Robert P. J. Day
Modified: 2010-01-13 12:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 12:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (71.84 KB, text/plain)
2009-10-15 01:18 EDT, Robert P. J. Day
no flags Details
/var/log/Xorg.0.log (53.56 KB, text/plain)
2009-10-15 01:18 EDT, Robert P. J. Day
no flags Details
/var/log/messages (71.84 KB, text/plain)
2009-10-15 01:20 EDT, Robert P. J. Day
no flags Details
/var/log/Xorg.0.log (53.56 KB, text/plain)
2009-10-15 01:21 EDT, Robert P. J. Day
no flags Details

  None (edit)
Description Robert P. J. Day 2009-10-14 13:08:12 EDT
The system:
      Gateway MX7120
      1280x800 res display

  lspci -vnn output showing video card:

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon XPRESS 200M 5955 (PCIE) [1002:5955] (prog-if 00 [VGA controller])
        Subsystem: Gateway 2000 Device [107b:0506]
        Flags: bus master, 66MHz, medium devsel, latency 66, IRQ 17
        Memory at d4000000 (32-bit, prefetchable) [size=64M]
        I/O ports at 9000 [size=256]
        Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at d0120000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon
        Kernel modules: radeon, radeonfb

The problem is that, after installation and rebooting, the resolution for running firstboot is completely incorrect -- it's too high, forcing everything on the right and bottom of what you'd normally see off the display.  The native res is 1280x800, but the resolution that's being used appears to be 2080x800 (you'll see why shortly).  As a result, running firstboot is incredibly inconvenient since you can't see the buttons that would normally show up in the lower right -- I was forced to use TAB and just guess what button I was sitting over.

The res appears to be 2080x800 since that's the res that's eventually used by the X server and as reported by "xdpyinfo".  There is no xorg.conf, so obviously that res is being somehow auto-detected.  In any event, this makes installing F12 on this sort of system difficult since, before that very first firstboot, you have no freedom to configure the video.

Let me know if you want any more output from that system.
Comment 1 Adam Williamson 2009-10-14 13:35:16 EDT
please post the output of 'xrandr' at a console. from the dmesg you posted to the list, I suspect it will show that the driver thinks you have a TV display attached at resolution 800x600 (I, er, assume that you don't). /var/log/Xorg.0.log would not hurt, either.

for the record I agree with reporter's selection of 'high' priority due to the default behaviour for multiple outputs now being span rather than clone. this leads to significant problems when a phantom output is detected, as described by reporter.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Robert P. J. Day 2009-10-14 13:58:58 EDT
I invoked System->Preferences->Display and, sure enough, there appeared to be a second display on the right hand side, 800x600.  Where that came from, I have no idea but I think I just (accidentally) did something to get rid of it.  Now I'm back to a single display, 1280x800, which is correct, but it doesn't explain how the installation decided I had that second display.

And, no, I have nothing else attached to this system at the moment.  And now that I'm back to the correct res, I'm wondering how I can reproduce this.  I'll reboot shortly and see if the problem reappears.
Comment 3 Robert P. J. Day 2009-10-14 14:14:11 EDT
What I did was set up firstboot to run upon reboot, rebooted and, sure enough, I have the original problem again -- screen content disappearing off the right hand side of the screen.  I struggled thru firstboot (pretty much by Braille) and I'm at a desktop, again clearly at 2080x800.

"xdpyinfo" shows 2080x800.  xrandr shows:

Screen 0: minimum 320 x 200, current 2080 x 800, maximum 4096 x 4096
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1280x800       60.0*+
   1280x720       59.9
   1152x768       59.8
   1024x768       60.0     59.9
   800x600        60.3     59.9     56.2
   848x480        59.7
   720x480        59.7
   640x480        59.9     59.4
S-video disconnected (normal left inverted right x axis y axis)

I'm still confused.
Comment 4 Adam Williamson 2009-10-14 18:38:15 EDT
robert subsequently noted on the mailing list that gnome-display-properties *does* show a phantom second display. robert, as I've asked, please attach /var/log/Xorg.0.log and /var/log/messages . thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Robert P. J. Day 2009-10-15 01:18:11 EDT
Created attachment 364849 [details]
/var/log/messages
Comment 6 Robert P. J. Day 2009-10-15 01:18:49 EDT
Created attachment 364850 [details]
/var/log/Xorg.0.log
Comment 7 Robert P. J. Day 2009-10-15 01:20:36 EDT
Created attachment 364851 [details]
/var/log/messages
Comment 8 Robert P. J. Day 2009-10-15 01:21:23 EDT
Created attachment 364852 [details]
/var/log/Xorg.0.log
Comment 9 Robert P. J. Day 2009-10-15 01:29:27 EDT
Earlier today, when I ran gnome-display-properties, I clearly saw a phantom second display on the right hand side (800x600).  Now, though, I can't reproduce that -- I see only the single 1280x800 display.  But xdpyinfo still reports a resolution of 2080x800.
Comment 10 Robert P. J. Day 2009-10-15 01:46:18 EDT
Correction -- I can reproduce the phantom display by going into gnome-display-properties, and selecting a lower res (1280x720) and applying it.  Even though I don't really *want* that lower res, picking it suddenly makes the phantom 800x600 display appear on the right.  Switching back to 1280x800 seemed to lock up the X session, so I killed X by going to runlevel 3, then back to 5.  Now, the 4 boxes in the lower right representing the virtual desktops seem to be the correct size for a 1280x800 display, and xdpyinfo now shows 1280x800.  So things seem to be correct now.  Go figure.

Logging out of X and logging back in leaves it correct.  I have no explanation for this.
Comment 11 Robert P. J. Day 2009-10-15 01:50:39 EDT
Final observation for the night -- I rebooted and got back into X.  Now, the four virtual desktop boxes in the lower right are stretched again, clearly representing the larger 2080x800 res.  And xdpyinfo reports 2080x800 as well, but gnome-display-properties shows only a single 1280x800 display.

Switching to 1280x720 now caused the mouse cursor to disappear and my session is locked again.  Time to give up for the evening.
Comment 12 Jerome Glisse 2009-10-15 10:36:02 EDT
Do you still have this issue with fedora 12 (you can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/) ?
Comment 13 Robert P. J. Day 2009-10-15 11:28:58 EDT
I'm not sure what you mean by "fedora 12".  It's the latest pre-release I'm using here, fully installed on the system.  Are you saying the latest nightly snapshot of the live cd might have a fix?
Comment 14 Adam Williamson 2009-10-15 12:11:17 EDT
robert: if you have rawhide installed, as long as you've updated in the last couple of days, you have the bits jerome wants you to test with, so just let him know that.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Robert P. J. Day 2009-10-15 15:33:02 EDT
I have a fully-updated f12 beta (rc2?), and I can still produce the phantom second display (PSD).  It might require starting at 1280x800, switching to 1280x720 using g-d-p, then switching back, at which point g-d-p will suddenly show that PSD.  It's not entirely predictable, but I have definitely managed to make it show up again on occasion.

On other occasions, when I switch to that slight lower res, I lose user input to the desktop entirely, whereupon I have to Ctl-Alt-F2 to get to a root prompt and init 3, then init 5 to get control back again, but that's a different issue.

Oh, wait, I don't lose user input at 1280x720, I simply lose the mouse cursor so I can only move the mouse around until I see an icon change brightness at which point I know the cursor is over that icon.

That's clearly a different bug.  I hate ATI.
Comment 16 Matěj Cepl 2009-11-05 12:18:03 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 17 Adam Williamson 2009-11-05 16:44:02 EST
please ignore comment #16, it was an automated comment that makes little sense in the context of this bug. Sorry.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Jerome Glisse 2009-11-12 11:08:26 EST
Robert so the issue is still present with lastest kernel you confirm ? Please give output of rpm -q kernel and also attach dmesg after booting with drm.debug=15.

I think the bug you are having is a duplicate of :
https://bugzilla.redhat.com/show_bug.cgi?id=531383

To sumup the issue is that KMS believe the S-VIDEO|Composite|Din output is connected while it isn't. It adds a default 800x600 mode, this explain why you see a second screen in gnome-display-properties. You might also be affect by the VT switch issue described in #531383.
Comment 19 Bug Zapper 2009-11-16 08:41:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Jerome Glisse 2009-11-17 13:05:47 EST
Please try if lastest kernel -134 helps :
http://koji.fedoraproject.org/koji/buildinfo?buildID=141560
Comment 21 Robert P. J. Day 2009-11-17 13:53:01 EST
I can install a fresh F12 on the system in question, would that be sufficient?  Or do I really need the koji build?
Comment 22 Jerome Glisse 2009-12-04 10:12:19 EST
You need 134 or above kernel, fresh install likely won't have that, thought updating should give it to you. Report once you managed to test with newer kernel thanks.
Comment 23 Jerome Glisse 2010-01-13 12:15:48 EST
This issue is fixed in the lastest fedora 12 kernel (174). It was due to s-video reporting connected while it was, s-video power load detection on RS480 doesn't seems to work like on R1XX,R2XX,R3XX.

Note You need to log in before you can comment on or make changes to this bug.